############################################################
####      Luhmann - R fr Einsteiger - 4. Auflage      #####
####             Kapitel 19 - Testkonstruktion         #####
############################################################


# Beispieldaten laden 
setwd("D:/Ordner 1/Ordner 2")
load("bigfive.items.RData")

attach(bigfive.items)

#### Abschnitt 19.1 ####

# Items auswhlen
gewiss <- data.frame(bf03, bf07, bf11, bf20)

# psych-Paket laden
library(psych)

# Itemanalyse durchfhren
alpha(gewiss)


#### Abschnitt 19.2 ####

# Parallelanalyse
fa.parallel(bigfive.items, fa="fa")

#  Durchfhrung der Faktorenanalyse 
fa.ml <- fa(bigfive.items, 5, fm="ml", rotate="promax")
print(fa.ml, digits=2, cut=.3, sort=TRUE)




