##################################################
#### Luhmann - R fr Einsteiger - 4. Auflage #####
####            Kapitel 5 - Objekte          #####
##################################################

#### Abschnitt 5.1 ####

# Befehl aus Kapitel 4
round(mean(c(1,4,7,9)))

# Werte in einem neuen Objekt speichern
vektor <- c(1,4,7,9) 

# Inhalt des Objekts "vektor" ausgeben lassen
vektor

# Mittelwert dieser Werte in einem neuen Objekt speichern
mittelwert <- mean(vektor)

# Mittelwert ausgeben lassen
mittelwert

# Gerundeten Mittelwert in einem neuen Objekt speichern
gerundeter.mittelwert <- round(mittelwert)

# Gerundeten Mittelwert ausgeben lassen
gerundeter.mittelwert


#### Abschnitt 5.2 ####

# Vektor mit Alter anlegen
alter <- c(19,23,22,25,21,20,19)

# Alter ausgeben lassen
alter

# Anzahl der Elemente im Objekt "alter"
length(alter)

# Vektor mit Geschlecht anlegen
geschl <- c(1,2,2,2,1,1,2)

# Geschlecht ausgeben lassen
geschl

# Vektor "geschl" in Faktor konvertieren
geschl.faktor <- factor(geschl)

# Faktor "geschl.faktor" ausgeben lassen
geschl.faktor

# Vektor "geschl" und Faktor "geschl.faktor" in Data Frame zusammenfgen
beispiel.data.frame <- data.frame(alter, geschl.faktor)

# Inhalt des neuen Data Frames ausgeben lassen
beispiel.data.frame


#### Abschnitt 5.3 ####

# Inhalt des Workspace anzeigen lassen
objects()

# Objekttyp bestimmen
class(beispiel.data.frame)
class(geschl.faktor)

# Komponenten des Data Frames auflisten
names(beispiel.data.frame)

# Struktur des Data Frames anzeigen 
str(beispiel.data.frame)

# Objekt "alter" lschen
remove(alter)


#### Abschnitt 5.4 ####

# Arbeitsverzeichnis anzeigen
getwd()

# Arbeitsverzeichnis festlegen
setwd("D:/Ordner1/Ordner2/R fr Einsteiger")

# Inhalt des Arbeitsverzeichnisses anzeigen
dir()

# Aktuellen Workspace im Arbeitsverzeichnis speichern
save.image(file = "workspace.RData")

# Aktuellen Workspace in anderem Verzeichnis speichern
save.image(file = "D:/Ordner1/Ordner2/workspace.RData")

# Im Arbeitsverzeichnis gespeicherten Workspace ffnen
load("workspace.RData")

# Im Arbeitsverzeichnis gespeicherten Workspace ffnen und Objektnamen ausgeben lassen
load("workspace.RData", verbose = TRUE)

# In anderem Verzeichnis gespeicherten Workspace ffnen
load("D:/Ordner1/Ordner2/workspace.RData")

# Einzelnes Objekt im Arbeitsverzeichnis speichern
save(objektname, file = "objektdatei.RData")

# Im Arbeitsverzeichnis gespeichertes Objekt ffnen
load("objektdatei.RData")

# In anderem Verzeichnis gespeichertes Objekt ffnen
load("D:/Ordner1/Ordner2/objektdatei.RData")
